## pim-data-exporter 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")
project(pim-data-exporter VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "25.08.1")
set(KF_MIN_VERSION "6.14.0")
# Update it for each release
set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    gui/*.cpp
    gui/*.h
    core/*.cpp
    core/*.h
    console/*.cpp
    console/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    gui/*.cpp
    gui/*.h
    core/*.cpp
    core/*.h
    console/*.cpp
    console/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(QT_REQUIRED_VERSION "6.8.0")
if(BUILD_TESTING)
    find_package(
        Qt6
        ${QT_REQUIRED_VERSION}
        CONFIG
        REQUIRED
            Widgets
            Test
    )
endif()

set(AKONADI_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")

set(MAILCOMMON_LIB_VERSION "6.5.1")
set(PIMCOMMON_LIB_VERSION "6.5.1")
set(KTEXTADDONS_MIN_VERSION "1.6.0")

# Find KF6 package
find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

if(NOT WIN32 AND NOT APPLE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional). It can be disable in apps."
)

if(TARGET KF6::UserFeedbackWidgets)
    set(PIMDATAEXPORTER_WITH_KUSERFEEDBACK true)
endif()

include_directories(
    ${pim-data-exporter_SOURCE_DIR}
    ${pim-data-exporter_BINARY_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

configure_file(pimdataexporter-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/pimdataexporter-version.h @ONLY)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
configure_file(config-pimdataexporter.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-pimdataexporter.h)

add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(console)

ecm_qt_install_logging_categories(
        EXPORT PIMDATAEXPORTER
        FILE pimdataexporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

install(FILES org.kde.pimdataexporter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== gui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(pimdataexporter)

if(TARGET KF6::UserFeedbackWidgets)
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()

if(TARGET KF6::DBusAddons)
    add_definitions(-DHAVE_KDBUSADDONS)
endif()

set(pimdataexporter_userfeedback_SRCS)
if(TARGET KF6::UserFeedbackWidgets)
    target_sources(
        pimdataexporter
        PRIVATE
            userfeedback/userfeedbackmanager.cpp
            userfeedback/pimdataexporteduserfeedbackprovider.cpp
            userfeedback/userfeedbackmanager.h
            userfeedback/pimdataexporteduserfeedbackprovider.h
    )
endif()

include_directories(${pim-data-exporter_SOURCE_DIR}/core/)

kconfig_add_kcfg_files(pimdataexporter settings/pimdataexporterglobalconfig.kcfgc)

target_sources(
    pimdataexporter
    PRIVATE
        widgets/selectiontypetreewidget.cpp
        widgets/logwidget.cpp
        widgets/pimdataexporterconfigurewidget.cpp
        dialog/selectiontypedialog.cpp
        dialog/backupfilestructureinfodialog.cpp
        dialog/showarchivestructuredialog.cpp
        dialog/synchronizeresourcedialog.cpp
        dialog/pimdataexporterconfiguredialog.cpp
        job/fullsynchronizeresourcesjob.cpp
        trayicon/pimdatatrayicon.cpp
        pimdatabackuprestoreui.cpp
        importexportprogressindicatorgui.cpp
        pimdataexporterwindow.cpp
        pimdatacommandlineoption.cpp
        main.cpp
        pimdataexporter.qrc
        pimdatacommandlineoption.h
        job/fullsynchronizeresourcesjob.h
        trayicon/pimdatatrayicon.h
        dialog/backupfilestructureinfodialog.h
        dialog/pimdataexporterconfiguredialog.h
        dialog/selectiontypedialog.h
        dialog/showarchivestructuredialog.h
        dialog/synchronizeresourcedialog.h
        pimdataexporterwindow.h
        widgets/selectiontypetreewidget.h
        widgets/pimdataexporterconfigurewidget.h
        widgets/logwidget.h
        pimdatabackuprestoreui.h
        importexportprogressindicatorgui.h
)

#TODO create lib

ecm_qt_declare_logging_category(pimdataexporter HEADER pimdataexportgui_debug.h IDENTIFIER PIMDATAEXPORTERGUI_LOG CATEGORY_NAME org.kde.pim.pimdataexportergui)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        pimdataexporter
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

if(TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(pimdataexporter PRIVATE KF6::UserFeedbackWidgets)
endif()
if(TARGET KF6::IconThemes)
    target_link_libraries(pimdataexporter PRIVATE KF6::IconThemes)
endif()
target_link_libraries(
    pimdataexporter
    PRIVATE
        KF6::XmlGui
        KPim6::MailCommon
        KPim6::PimCommon
        pimdataexporterprivate
        KF6::Archive
        KF6::ItemViews
        KF6::KIOFileWidgets
        KF6::Notifications
        KF6::I18n
        KF6::Crash
        KF6::StatusNotifierItem
        ${pimdataexporter_userfeedback_LIB}
        KF6::WidgetsAddons
        KF6::TextCustomEditor
)

if(TARGET KF6::DBusAddons)
    target_link_libraries(pimdataexporter PRIVATE KF6::DBusAddons)
endif()

install(
    TARGETS
        pimdataexporter
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(PROGRAMS org.kde.pimdataexporter.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES settings/pimdataexporterglobalconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== gui/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(
    ${pim-data-exporter_SOURCE_DIR}/core/
    ${pim-data-exporter_BINARY_DIR}/core/
    ${pim-data-exporter_SOURCE_DIR}/gui/
    ${pim-data-exporter_BINARY_DIR}/gui/
)

set(selectiontreewidget_gui_SRCS
    selectiontreewidget_gui.cpp
    ../dialog/selectiontypedialog.cpp
    ../widgets/selectiontypetreewidget.cpp
    ../pimdataexportgui_debug.cpp
)
add_executable(selectiontreewidget_gui ${selectiontreewidget_gui_SRCS})
target_link_libraries(
    selectiontreewidget_gui
    KPim6::AkonadiCore
    KPim6::AkonadiPrivate
    KPim6::MailCommon
    KPim6::PimCommon
    KF6::Archive
    pimdataexporterprivate
    KF6::ItemViews
    KF6::I18n
)

set(showarchivestructuredialog_gui_SRCS
    showarchivestructuredialog_gui.cpp
    ../dialog/showarchivestructuredialog.cpp
    ../pimdataexportgui_debug.cpp
)
add_executable(showarchivestructuredialog_gui ${showarchivestructuredialog_gui_SRCS})
target_link_libraries(
    showarchivestructuredialog_gui
    KPim6::AkonadiCore
    KPim6::AkonadiPrivate
    KPim6::MailCommon
    KPim6::PimCommon
    KF6::Archive
    pimdataexporterprivate
    KF6::ItemViews
    KF6::I18n
    KF6::KIOWidgets
)

=== debian/changelog ===
pim-data-exporter (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:14:19 +0100

pim-data-exporter (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:01:20 +0100

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.08.1~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.1~),
               libkmailtransport-dev (>= 25.08.1~),
               libkmime-dev (>= 25.08.1~),
               libktextaddons-dev (>= 1.5.4~),
               libmailcommon-dev (>= 4:25.08.1~),
               libpimcommon-dev (>= 4:25.08.1~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pim-data-exporter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Rules-Requires-Root: no

Package: pim-data-exporter
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.

## pim-data-exporter 25.08.1+p24.04+vstable+git20251001.0108

=== debian/changelog ===
pim-data-exporter (4:25.08.1+p24.04+vstable+git20251001.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 01:08:30 +0000

pim-data-exporter (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:22:19 +0000

## pim-data-exporter 25.08.1+p24.04+vstable+git20251001.0622

=== debian/changelog ===
pim-data-exporter (4:25.08.1+p24.04+vstable+git20251001.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:22:54 +0000

## pim-data-exporter 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(pim-data-exporter VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 set(KF_MIN_VERSION "6.14.0")
 # Update it for each release
-set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
+set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -89,13 +89,13 @@
     )
 endif()
 
-set(AKONADI_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
+set(AKONADI_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
 
-set(MAILCOMMON_LIB_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(MAILCOMMON_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 # Find KF6 package

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR pimdataexporter)

=== core/autotests/calendar/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set(exportcalendarsjobinterfacetest_SRCS
    exportcalendarsjobinterfacetest.cpp
    exportcalendarsjobinterfacetestimpl.cpp
    exportcalendarsjobinterfacetest.h
    exportcalendarsjobinterfacetestimpl.h
)

add_executable(exportcalendarsjobinterfacetest ${exportcalendarsjobinterfacetest_SRCS})
add_test(NAME exportcalendarsjobinterfacetest COMMAND exportcalendarsjobinterfacetest)
ecm_mark_as_test(exportcalendarsjobinterfacetest)
target_link_libraries(
    exportcalendarsjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

#####

set(importcalendarjobinterfacetest_SRCS
    importcalendarjobinterfacetest.cpp
    importcalendarjobinterfacetestimpl.cpp
    importcalendarjobinterfacetest.h
    importcalendarjobinterfacetestimpl.h
)

add_executable(importcalendarjobinterfacetest ${importcalendarjobinterfacetest_SRCS})
add_test(NAME importcalendarjobinterfacetest COMMAND importcalendarjobinterfacetest)
ecm_mark_as_test(importcalendarjobinterfacetest)
target_link_libraries(
    importcalendarjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

=== core/autotests/mail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

add_executable(exportmailjobinterfacetest)
target_sources(
    exportmailjobinterfacetest
    PRIVATE
        exportmailjobinterfacetest.cpp
        exportmailjobinterfacetestimpl.cpp
        exportmailjobinterfacetest.h
        exportmailjobinterfacetestimpl.h
        exportmailfolderattributejobtestimpl.h
        exportmailfolderattributejobtestimpl.cpp
)

add_test(NAME exportmailjobinterfacetest COMMAND exportmailjobinterfacetest)
ecm_mark_as_test(exportmailjobinterfacetest)
target_link_libraries(
    exportmailjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
    KPim6::Mime
)

#####

add_executable(importmailjobinterfacetest)
target_sources(
    importmailjobinterfacetest
    PRIVATE
        importmailjobinterfacetest.cpp
        importmailjobinterfacetestimpl.cpp
        importmailjobinterfacetest.h
        importmailjobinterfacetestimpl.h
        importmailfolderattributejobtestimpl.h
        importmailfolderattributejobtestimpl.cpp
)

add_test(NAME importmailjobinterfacetest COMMAND importmailjobinterfacetest)
ecm_mark_as_test(importmailjobinterfacetest)
target_link_libraries(
    importmailjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    test_resourceconverter
    KPim6::IdentityManagementCore
    KPim6::Mime
)

#####
add_executable(exportmailfolderattributejobtest)
target_sources(
    exportmailfolderattributejobtest
    PRIVATE
        exportmailfolderattributejobtest.cpp
        exportmailfolderattributejobtest.h
)
add_test(NAME exportmailfolderattributejobtest COMMAND exportmailfolderattributejobtest)
ecm_mark_as_test(exportmailfolderattributejobtest)
target_link_libraries(
    exportmailfolderattributejobtest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
)

#####
add_executable(importmailfolderattributejobtest)
target_sources(
    importmailfolderattributejobtest
    PRIVATE
        importmailfolderattributejobtest.cpp
        importmailfolderattributejobtest.h
)
add_test(NAME importmailfolderattributejobtest COMMAND importmailfolderattributejobtest)
ecm_mark_as_test(importmailfolderattributejobtest)
target_link_libraries(
    importmailfolderattributejobtest
    Qt::Test
    pimdataexporterprivate
    KPim6::AkonadiCore
    KF6::ConfigCore
)

=== debian/changelog ===
pim-data-exporter (4:25.08.2-0zneon+24.04+noble+release+build39) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 00:31:20 +0000

pim-data-exporter (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:01:51 +0000

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-kimap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libqgpgmeqt6-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               reuse,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/pim-data-exporter.git
Vcs-Browser: https://invent.kde.org/neon/kde/pim-data-exporter
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-data-exporter
Section: utils
Architecture: any
Depends: kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: pim-data-exporter
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.

Package: pim-data-exporter
Architecture: all
Depends: kpim6-data-exporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## pim-data-exporter 25.08.2+p24.04+vstable+git20251015.2023

=== debian/changelog ===
pim-data-exporter (4:25.08.2+p24.04+vstable+git20251015.2023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:23:30 +0000

## pim-data-exporter 25.08.2+p24.04+vstable+git20251019.0841

=== debian/changelog ===
pim-data-exporter (4:25.08.2+p24.04+vstable+git20251019.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:41:01 +0000

## pim-data-exporter 25.08.2+p24.04+vstable+git20251031.0352

=== debian/changelog ===
pim-data-exporter (4:25.08.2+p24.04+vstable+git20251031.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:52:19 +0000

## pim-data-exporter 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 project(pim-data-exporter VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(RELEASE_SERVICE_VERSION "25.08.3")
 set(KF_MIN_VERSION "6.14.0")
 # Update it for each release
-set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
+set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.11.03") # yy.MM.dd
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -89,13 +89,13 @@
     )
 endif()
 
-set(AKONADI_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
+set(KMIME_LIB_VERSION "6.5.3")
 
-set(MAILCOMMON_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(MAILCOMMON_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 # Find KF6 package

=== console/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

include_directories(
    ${AKONADI_INCLUDE_DIR}
    ${pim-data-exporter_SOURCE_DIR}/core/
)
add_executable(pimdataexporterconsole)

target_sources(
    pimdataexporterconsole
    PRIVATE
        importexportprogressindicatorconsole.cpp
        pimdataexporterconsole.cpp
        loginfo.cpp
        loginfile.cpp
        main.cpp
        importexportprogressindicatorconsole.h
        pimdataexporterconsole.h
        loginfo.h
        loginfile.h
)

ecm_qt_declare_logging_category(pimdataexporterconsole HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole
        DESCRIPTION "pimdataexporter (pimdataexporter console)"
        OLD_CATEGORY_NAMES log_pimsettingexporterconsole org.kde.pim.pimsettingexporterconsole
        EXPORT PIMDATAEXPORTER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        pimdataexporterconsole
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(
    pimdataexporterconsole
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::Archive
    KPim6::AkonadiCore
    KPim6::MailCommon
    pimdataexporterprivate
)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
install(
    TARGETS
        pimdataexporterconsole
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== console/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${pim-data-exporter_BINARY_DIR}/console/)

ecm_qt_declare_logging_category(pimdataexporterconsole_loginfiletest_SRCS HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole)

add_executable(
    pimdataexporterconsole_loginfiletest
    loginfiletest.cpp
    loginfiletest.h
    ../loginfile.cpp
    ${pimdataexporterconsole_loginfiletest_SRCS}
)
add_test(NAME pimdataexporterconsole_loginfiletest COMMAND pimdataexporterconsole_loginfiletest)
ecm_mark_as_test(pimdataexporterconsole_loginfiletest)
target_link_libraries(pimdataexporterconsole_loginfiletest Qt::Test)

=== core/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAINSTALL_DIR="${CMAKE_CURRENT_BINARY_DIR}/install")

####
add_executable(
    utilstest
    utilstest.cpp
    utilstest.h
)
add_test(NAME utilstest COMMAND utilstest)
ecm_mark_as_test(utilstest)
target_link_libraries(
    utilstest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
)

#####
add_library(
    test_resourceconverter
    STATIC
    resourceconvertertest.cpp
    generatelistfilefromarchive.cpp
    loadlistfromfile.cpp
    compareexportfile.cpp
    compareimportfile.cpp
    testexportfile.cpp
    testimportfile.cpp
    logcreatingressource.cpp
    comparefilehelper.cpp
    exportimportutil.cpp
    saveresourceconfigtest.cpp
    compareloggingfile.cpp
    testbackupresourcefilejob.cpp
    importexportprogressindicatortest.cpp
    resourceconvertertest.h
    generatelistfilefromarchive.h
    loadlistfromfile.h
    compareexportfile.h
    compareimportfile.h
    testexportfile.h
    testimportfile.h
    logcreatingressource.h
    comparefilehelper.h
    exportimportutil.h
    saveresourceconfigtest.h
    compareloggingfile.h
    testbackupresourcefilejob.h
    importexportprogressindicatortest.h
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        test_resourceconverter
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
target_link_libraries(
    test_resourceconverter
    PUBLIC
        KF6::ConfigCore
        pimdataexporterprivate
        KF6::Archive
        Qt::Test
        KPim6::AkonadiMime
        KPim6::AkonadiCore
        KF6::WidgetsAddons
)

#####
add_executable(
    resourceconverterclasstest
    resourceconverterclasstest.cpp
    resourceconverterclasstest.h
)
add_test(NAME resourceconverterclasstest COMMAND resourceconverterclasstest)
ecm_mark_as_test(resourceconverterclasstest)
target_link_libraries(
    resourceconverterclasstest
    Qt::Test
    KF6::ConfigCore
    test_resourceconverter
)

#####
add_executable(
    backupresourcefilejobimpltest
    backupresourcefilejobimpltest.cpp
    backupresourcefilejobimpltest.h
)
add_test(NAME backupresourcefilejobimpltest COMMAND backupresourcefilejobimpltest)
ecm_mark_as_test(backupresourcefilejobimpltest)
target_link_libraries(
    backupresourcefilejobimpltest
    Qt::Test
    KF6::ConfigCore
    pimdataexporterprivate
    KF6::Archive
)
###

add_subdirectory(calendar)
add_subdirectory(addressbook)
add_subdirectory(alarm)
add_subdirectory(akregator)
add_subdirectory(mail)

=== core/autotests/akregator/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set(exportakregatorjobinterfacetest_SRCS
    exportakregatorjobinterfacetest.cpp
    exportakregatorjobinterfacetestimpl.cpp
    exportakregatorjobinterfacetest.h
    exportakregatorjobinterfacetestimpl.h
)

add_executable(exportakregatorjobinterfacetest ${exportakregatorjobinterfacetest_SRCS})
add_test(NAME exportakregatorjobinterfacetest COMMAND exportakregatorjobinterfacetest)
ecm_mark_as_test(exportakregatorjobinterfacetest)
target_link_libraries(
    exportakregatorjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

#####

set(importakregatorjobinterfacetest_SRCS
    importakregatorjobinterfacetest.cpp
    importakregatorjobinterfacetestimpl.cpp
    importakregatorjobinterfacetest.h
    importakregatorjobinterfacetestimpl.h
)

add_executable(importakregatorjobinterfacetest ${importakregatorjobinterfacetest_SRCS})
add_test(NAME importakregatorjobinterfacetest COMMAND importakregatorjobinterfacetest)
ecm_mark_as_test(importakregatorjobinterfacetest)
target_link_libraries(
    importakregatorjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

=== debian/changelog ===
pim-data-exporter (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:30:10 +0000

pim-data-exporter (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:58:55 +0100

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.08.3~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.5.4~),
               libmailcommon-dev (>= 4:25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pim-data-exporter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Rules-Requires-Root: no

Package: pim-data-exporter
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel

## pim-data-exporter 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.80")
 project(pim-data-exporter VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.3")
-set(KF_MIN_VERSION "6.14.0")
+set(RELEASE_SERVICE_VERSION "25.11.80")
+set(KF_MIN_VERSION "6.18.0")
 # Update it for each release
-set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.11.03") # yy.MM.dd
-
+set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -65,7 +65,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION beta)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -89,14 +89,14 @@
     )
 endif()
 
-set(AKONADI_VERSION "6.5.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
-
-set(MAILCOMMON_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(AKONADI_VERSION "6.5.80")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+
+set(MAILCOMMON_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 # Find KF6 package
 find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
@@ -151,6 +151,20 @@
     set(PIMDATAEXPORTER_WITH_KUSERFEEDBACK true)
 endif()
 
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
+set_package_properties(
+    KF6TextAddonsWidgets
+    PROPERTIES
+        DESCRIPTION
+            "Add text addons widget"
+        TYPE
+            REQUIRED
+)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 include_directories(
     ${pim-data-exporter_SOURCE_DIR}
     ${pim-data-exporter_BINARY_DIR}
@@ -159,7 +173,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -97,6 +97,7 @@
         ${pimdataexporter_userfeedback_LIB}
         KF6::WidgetsAddons
         KF6::TextCustomEditor
+        KF6::TextAddonsWidgets
 )
 
 if(TARGET KF6::DBusAddons)

=== debian/changelog ===
pim-data-exporter (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:04:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.3~),
+               libakonadi-dev (>= 4:25.11.80~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -28,12 +28,12 @@
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.3~),
-               libkmailtransport-dev (>= 25.08.3~),
-               libkmime-dev (>= 25.08.3~),
+               libkidentitymanagement-dev (>= 25.11.80~),
+               libkmailtransport-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.80~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailcommon-dev (>= 4:25.08.3~),
-               libpimcommon-dev (>= 4:25.08.3~),
+               libmailcommon-dev (>= 4:25.11.80~),
+               libpimcommon-dev (>= 4:25.11.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,

## pim-data-exporter 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(pim-data-exporter VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(RELEASE_SERVICE_VERSION "25.11.90")
 set(KF_MIN_VERSION "6.18.0")
 # Update it for each release
-set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -65,7 +65,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION rc)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -89,13 +89,13 @@
     )
 endif()
 
-set(AKONADI_VERSION "6.5.80")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-
-set(MAILCOMMON_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.90")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.5.90")
+
+set(MAILCOMMON_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 # Find KF6 package

=== debian/changelog ===
pim-data-exporter (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:18:25 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -28,12 +28,12 @@
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailcommon-dev (>= 4:25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libmailcommon-dev (>= 4:25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,

## pim-data-exporter 25.12.0

=== debian/changelog ===
pim-data-exporter (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:38:31 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -28,12 +28,12 @@
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailcommon-dev (>= 4:25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libmailcommon-dev (>= 4:25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,

## pim-data-exporter 25.12.0+p24.04+vstable+git20251221.0107

=== debian/changelog ===
pim-data-exporter (4:25.12.0+p24.04+vstable+git20251221.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Dec 2025 01:07:31 +0000

pim-data-exporter (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:45 +1000

pim-data-exporter (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:30 +1000

## pim-data-exporter 25.12.0+p24.04+vstable+git20260102.1239

=== debian/changelog ===
pim-data-exporter (4:25.12.0+p24.04+vstable+git20260102.1239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:39:08 +0000

## pim-data-exporter 25.12.0+p24.04+vstable+git20260105.1006

=== debian/changelog ===
pim-data-exporter (4:25.12.0+p24.04+vstable+git20260105.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:06:23 +0000
